# gsymfix

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
AUTHOR
SEE ALSO
COPYRIGHT

## NAME

gsymfix − automatically fix common issues with gEDA symbols

## SYNOPSIS

gsymfix [ options ] symbol_file

## DESCRIPTION

gsymfix reads a gEDA symbol file and does the following:

| • |  | prints a warning if there is no pinnumber attribute on a pin;
| • |  | Renumbers pinseq attributes on all pins, starting with 1;
| • |  | Adds a pinseq attribute to a pin if none exists;
| • |  | Adds a pinlabel=n_a attribute to a pin if none exists;
| • |  | Adds a pintype=io attribute to a pin if none exists;
| • |  | Adds a numslots=0 attribute to the symbol if none exists;
| • |  | Adds a device=XXX attribute to the symbol if none exists;
| • |  | Adds a footprint=XXX attribute to the symbol if none exists.

The idea here is to fix common cut-and-paste issues and fix up the symbol so that it will pass gsymcheck(1) with no errors or warnings.

## OPTIONS

gsymfix accepts the following options:

| −−help |  | Displays this help message. |

−−verbose

Enables verbose output.

−−vverbose

Enables *very* verbose output.

−−version

Shows the version of this program.

## AUTHOR

Mike Skerritt <mike@acornpacket.com>.

## SEE ALSO

gschem(1), gsymcheck(1)

## COPYRIGHT

Copyright © 1999-2011 gEDA Contributors. License GPLv2+: GNU GPL
version 2 or later. Please see the ‘COPYING’ file included with this
program for full details.

This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.